@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap");

body {
  margin: 0px;
  padding: 0px;
  background-image: url(Images/fondnoir.png);
  font-family: system-ui;
}
*{
  margin: 0;
  padding: 0;
}

/* Navigation */
header{
  position: relative;
  z-index: 9999;
}

.logonav{
	width: 70px;
}
nav{
  background-color: white;
  box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.1);
}
nav ul{
  width: 100%;
  list-style: none;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
nav li{
  height: 70px;
}
nav a{
  height: 100%;
  padding: 0 30px;
  text-decoration: none;
  display: flex;
  align-items: center;
  color: black;
  font-family: system-ui;
}
nav a:hover{
  background-color: #f0f0f0;
}
nav li:first-child{
  margin-right: auto;
}
.sidebar{
  position: fixed;
  top: 0; 
  right: 0;
  height: 100vh;
  width: 250px;
  background-color: rgba(255, 255, 255, 0.15);
  backdrop-filter: blur(12px);
  box-shadow: -10px 0 10px rgba(0, 0, 0, 0.1);
  list-style: none;
  display: none;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
}
.sidebar li{
  width: 100%;
}
.sidebar a{
  width: 100%;
}
.menu-button{
  display: none;
}
@media(max-width: 800px){
  .hideOnMobile{
    display: none;
  }
  .menu-button{
    display: block;
  }
}
@media(max-width: 400px){
  .sidebar{
    width: 100%;
  }
}
/* alignement */
.dispo{
  display: flex;
  flex-direction: column;
  align-items: center;
}

/* Je m'occupe de la phrase d'entete*/
p{
  text-align: center;
  padding-left: 20%;
  padding-right: 20%;
  color: white;
  font-family: system-ui;
  margin: 20px;
}

@media(max-width: 800px){
  p {
    padding-left: 10%;
    padding-right: 10%;
  }
}

/* Formulaire */

form {
  
  font-weight: bold;
  max-width: 500px;
  padding: 30px;
  background-color: white;
  border-radius: 10px;
  align-items: center;
}
/* Mobile */
@media (max-width:800px){

    form{
        margin-top:40px;
    }

}
form h1 {
  font-size: 20px;
  font-family:Baskerville, "Baskerville Old Face", "Hoefler Text", Garamond, "Times New Roman", serif;
}
form .separation {
  width: 100%;
  height: 1px;
  background-color: black;
}
form .corps-formulaire {
  display: flex;
  flex-wrap: wrap;
  margin-bottom: 30px;
}
form .corps-formulaire .groupe {
  position: relative; /* Pour mettre positionner l’élément dans le flux normal de la page */
  margin-top: 20px;
  display: flex;
  flex-direction: column;
}
form .corps-formulaire .gauche .groupe input {
  margin-top: 5px;
  padding: 10px 5px 10px 30px;
  border: 1px solid #c9c9c9;
  outline-color: black;
  border-radius: 5px;
}
form .corps-formulaire .gauche .groupe i {
  position: absolute; /* positionné par rapport à son parent le plus proche positionné */
  left: 0;
  top: 25px;
  padding: 9px 8px;
  color: black;
}
form .corps-formulaire .droite {
  margin-left: 40px;
}
form .corps-formulaire .droite .groupe {
  height: 100%;
}
form .corps-formulaire .droite .groupe textarea {
  margin-top: 5px;
  padding: 10px;
  background-color: #f1f1f1;
  border: 2px solid black;
  outline: none;
  border-radius: 5px;
  resize: none;
  height: 86%;
}
form .pied-formulaire button {
  margin-top: 10px;
  background-color: black;
  color: white;
  font-size: 15px;
  border: none;
  padding: 10px 20px;
  border-radius: 5px;
  outline: none;
  cursor: pointer;
  transition: transform 0.5s;
}
form .pied-formulaire button:hover {
  transform: scale(1.05);
}

@media screen and (max-width: 920px) {
  form .corps-formulaire .droite {
    margin-left: 0px;
  }
}